Get scoped data index

Returns the content of the specified data index, after applying a filter so that only data from devices within the device_query scope is returned.

The endpoint first executes device_query against the _devices index to get a list of device IDs. The endpoint then executes data_query against the index you specify in the index parameter, only returning data that matches the list of device IDs.
For example, you can use this endpoint to search the disk_info data index, but only return data for devices located in New York.

A maximum of 10000 rows can be returned per request. To return more data, you must set export to true and use the _source parameter to set which fields to return in the data query. For example: {"data_query":{"_source":["prop1","prop2"]},"export":true}

Required permissions: None

Path Params
string
required

Name of the data index to return.

Body Params
device_query
object

An OpenSearch query of the _devices data index. Use this query to search for the list of devices to include in the scope for the search of the index specified by the index parameter.

data_query
object

An OpenSearch query of the data index specified by the index parameter.

Responses

400

The provided query is invalid.

404

The provided index name is invalid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json